apply plugin: 'com.android.application'

apply plugin: 'kotlin-android'

apply plugin: 'kotlin-android-extensions'

android {
    compileSdkVersion 26
    defaultConfig {
        applicationId "com.funcheer.channel.sdk"
        minSdkVersion 15
        targetSdkVersion 26
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    signingConfigs {
//        release {
//            storeFile file("./fqgamesdkkeystore.jks")
//            storePassword '201868'
//            keyPassword '201868'
//            keyAlias 'fqgamesdkkeystore.jks'
//            v2SigningEnabled false
//        }
//        debug{
//            storeFile file("./fqgamesdkkeystore.jks")
//            storePassword '201868'
//            keyPassword '201868'
//            keyAlias 'fqgamesdkkeystore.jks'
//            v2SigningEnabled false
//        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    api project(':fq_plugin_api')
}
